Is Regression: No
Subject: RendererRegistryTest::registeredFileRendererClassWithSamePriorityAreReturnedInSameOrderAsTheyWere

Added
Description

TYPO3\CMS\Core\Tests\Unit\Resource\Rendering\RendererRegistryTest::registeredFileRendererClassWithSamePriorityAreReturne
InSameOrderAsTheyWereAdded
Failed asserting that false is true.

/home/opitz/projects/typo3-master/typo3-src/typo3/sysext/core/Tests/Unit/Resource/Rendering/RendererRegistryTest.php:131
/home/opitz/projects/neos-git/Packages/Libraries/phpunit/phpunit/phpunit7:56

=> usort handling changed, 5.x same will be swapped => 7.0 same won't be swapped
=> Same on HHVM

This needs fix in our sorting function, it is in PHP documented that sorting result of same is not defined. Till yet we hope that sorting is
same.

History
#1 - 2015-02-26 12:14 - Alexander Opitz
- Description updated

#2 - 2015-07-15 17:17 - Susanne Moog

just to write down what I already mentioned in slack:

I don't think we need to change our sorting, as in the cases that break the sorting does not really matter.

Only one we should talk about might be the TypoScript parser and how to handle non-numeric values in a numeric sort.

#3 - 2015-07-15 17:55 - Alexander Opitz

The TS Parser thing is another issue.

If the sorting that breaks isn't relevant we should change this function to normal sorting without swapping. Also change tests and documentation
accordingly.

#4 - 2015-07-16 14:50 - Susanne Moog
- Status changed from New to Resolved

This is resolved in current master. The old behaviour stayed inside and we changed the tests to be "sorting agnostic" when testing same priority
instances.
